Name:		    flexdock
Version:	    1.1.1
Release:	    1%{?dist}
Summary:	    Docking framework for Java Swing GUI apps

Group:		    Development/Libraries

#Licence is MIT on their website
License:	    MIT 
URL:		    https://flexdock.dev.java.net/

Source0:	    %{name}-%{version}.tar.gz

# Invoke this script to download and remove non-free components
#  * Original Source# contains code that we cannot ship.
#  * Upstream does not provide a tarball
Source1:	    %{name}-generate-tarball.sh

# This patch is fedora specific -- System.loadLibrary fix to help locate JNI components
Patch1:		    0001-flexdock-jni.patch
#Removes the java media framework from the demos to satisfy reqs
Patch2:		    0002-flexdock-nojmf.patch
#Modifies the build process  -- fedora specific
Patch3:		    0003-flexdock-build.patch
#Fixes the skinlf search paths in the skinlf.jar
Patch4:		    0004-flexdock-skinlf.patch

BuildRequires:	java-devel
BuildRequires:	ant
BuildRequires:	jpackage-utils
BuildRequires:	jgoodies-looks
BuildRequires:	skinlf

Requires:       java
Requires:	    jpackage-utils
Requires:	    jgoodies-looks
Requires:	    skinlf

BuildArch:      noarch

%description
FlexDock is a Java docking framework for use in cross-platform
Swing applications.

%prep
%setup -q

#Modify the jni dir that is hardcoded in the patch
cp %{PATCH1} ./tmpJniPatch
sed -i 's!%%{_jnidir}!%{_jnidir}!' tmpJniPatch

#Apply patches
#Apply patch0
patch -p1 --fuzz=0 < tmpJniPatch
%patch2 -p1
%patch3 -p1
%patch4 -p1

#Override the build file's default hard-coded paths
echo "sdk.home=%{java_home}" > workingcopy.properties

#JAR "dependency" handling
find ./ -name \*.jar -exec rm {} \;
build-jar-repository -s -p lib skinlf jgoodies-looks

#Remove the jmf-using demo files
rm src/java/demo/org/flexdock/demos/raw/jmf/MediaPanel.java
rm src/java/demo/org/flexdock/demos/raw/jmf/JMFDemo.java

#Endline convert Doc files
for i in "README-RELEASE LICENSE.txt README release-notes.txt" ;
do
	%{__sed} -i 's/\r//' $i
done

%build
ant jar

%install
mkdir -p %{buildroot}%{_javadir}
install -pm644 build/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

%files
%doc LICENSE.txt README README-RELEASE release-notes.txt
%{_javadir}/*

%changelog
* Tue Jan 17 2012 Clément David <davidcl@fedoraproject.org> 1.1.1-1
- Update version
- Rebase patches (thanks to git format-patch)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 13 2011 Clément <davidcl> David  <c.david86@gmail.com> 1.0-3
- Use packaging guidelines
- Move jni to %{_jnidir} and jar to %{_javadir}

* Mon Dec 12 2011 Clément <davidcl> David  <c.david86@gmail.com> 1.0-2
- Bump version to force build (NFS server outage)

* Fri Dec  9 2011 Clément <davidcl> David  <c.david86@gmail.com> 1.0-1
- Bump version

* Thu Oct 13 2011 Clément David <c.david86@gmail.com> 0.5.4-1
- Bump version

* Tue Aug 16 2011 Clément David <c.david86@gmail.com> 0.5.2-1
- Bump version
- Normalize patches
- Normalize tarball name and root

* Thu Jun 23 2011 <mycae(a!t)yahoo.com> 0.5.1-19
- Fix FTBFS bug 715626 - classpath change

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Dec 19 2009 <mycae(a!t)yahoo.com> 0.5.1-17
- tag bump

* Sat Dec 19 2009 <mycae(a!t)yahoo.com> 0.5.1-16
- tag bump

* Sat Dec 19 2009 <mycae(a!t)yahoo.com> 0.5.1-15
- Fix patch to match sed expression
- Don't modify jni patch in-place

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 28 2009 <mycae(a!t)yahoo.com> 0.5.1-13
- Version bump due to tag mess

* Thu Mar 26 2009 <mycae(a!t)yahoo.com> 0.5.1-12
- Added a named symlink to versioned jar

* Tue Feb 24 2009 <mycae(a!t)yahoo.com> 0.5.1-11
- Created clean tarball to remove jmf 

* Thu Feb 19 2009 <mycae(a!t)yahoo.com> 0.5.1-10
- Applied patch from Dominik  'Rathann' Mierzejewski 
- Added BuildRequires for apache-regexp (needed for F9)
- Removed overly complex java detection

* Thu Jan 21 2009 <mycae(a!t)yahoo.com> 0.5.1-9
- Alter the way I handle stripping of the SOFILE
- Alphabetically sort build and buildrequires
- Add full stop & de-indent description
- Use build-jar-repository 
- Change sdk.home from OR to case statment

* Tue Jan 20 2009 <mycae(a!t)yahoo.com> 0.5.1-8
- Set defattr
- Fix arch (again)
- Change install dir from %%libdir to %%libdir/%%name
- Update patch0 to match changed so dir + make dynamic

* Sat Dec 20 2008  <mycae(a!t)yahoo.com> 0.5.1-7
- Re-enable system skinlf link & jar check.

* Thu Dec 04 2008 <mycae(a!t)yahoo.com> 0.5.1-6
- Use ant to build jar, rather than straight from bash.
- Fix build patch to correct native .so building
- Thanks goes to akurtakov for assitance.
- Fixed dos->unix line ending for doc files
- Added dos2unix buildrequires
- Fix arch flag
- Added libX11 dep for native so
- Added symlink for so

* Sun Nov 23 2008 <mycae(a!t)yahoo.com> 0.5.1-5
- Fix documentation
- Change group
- Fix version numbering
- Link in skinlf to proposed package

* Sun Nov 16 2008 <mycae(a!t)yahoo.com> 0.5.1-4
- Update package revision number
- Fix Top level dir of jar file

* Sat Nov 01 2008 <mycae(a!t)yahoo.com> 0.5.1-3
- Add patch to remove non-free components from flexdock (thanks to Sylvestre Ledru from Scilab)
- Correct deps to include jgoodies & skinlf

* Sun Oct 26 2008 <mycae(a!t)yahoo.com> 0.5.1-2
- Fix % { _libs }  to % { _libdir }
- Added Jar file creation during build
- Add jar file dependency check
- Cleanup filelist to just .so and .jar
- Add JNI path patch

* Tue Sep 30 2008 <mycae(a!t)yahoo.com> 0.5.1-1
- Create spec file

